﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _135199
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            DataTable dt = ds.Tables.Add("Table1");

            dt.Columns.Add("SeriesCde", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Name", typeof(string)).Expression = "'Text'+[SeriesCde]";
            dt.Columns.Add("Activelnd", typeof(string)).DefaultValue  = "1";

            DataTable dt1 = ds.Tables.Add("Table2");

            dt1.Columns.Add("SeriesCde", typeof(int));
            dt1.Columns.Add("Name", typeof(string)).Expression = "'Text'+[SeriesCde]";
            dt1.Columns.Add("Activelnd", typeof(string)).DefaultValue = "1";

            for (int i = 0; i < 3; i++)
            {
                DataRow row = dt.Rows.Add();
                dt1.Rows.Add(row[0]);
                dt1.Rows.Add(row[0]);
                dt1.Rows.Add(row[0]);
            }

            ds.Relations.Add(dt.Columns[0], dt1.Columns[0]);

            ultraGrid1.DataSource = ds;


        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.Band.Index == 0)
            {
                e.Row.Cells["UnboundColumn1"].Value = CalculateValue();
            }
        }

        private object CalculateValue()
        {
            Random rnd = new Random();
            Thread.Sleep(10);
            return string.Format("My Text {0}",rnd.Next(0, 1000000));;
        }
    }
}
